> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apidatasets

> GET /datasets/ — list visible datasets.
POST /datasets/ — promote an AssetContent into a new Dataset.



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/datasets/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/datasets/:
    get:
      tags:
        - api
      description: |-
        GET /datasets/ — list visible datasets.
        POST /datasets/ — promote an AssetContent into a new Dataset.
      operationId: api_datasets_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Dataset'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    Dataset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        owner_user:
          type: string
          format: uuid
          nullable: true
        owner_project:
          type: string
          format: uuid
          nullable: true
        creator:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        versions:
          type: array
          items:
            $ref: '#/components/schemas/DatasetVersion'
          readOnly: true
        did:
          type: string
          readOnly: true
      required:
        - created_at
        - creator
        - did
        - id
        - name
        - updated_at
        - versions
    DatasetVersion:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        dataset:
          type: string
          format: uuid
          readOnly: true
        version_number:
          type: integer
          readOnly: true
        asset_content:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/DatasetVersionStatusEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - asset_content
        - created_at
        - dataset
        - id
        - status
        - updated_at
        - version_number
    DatasetVersionStatusEnum:
      enum:
        - UPLOADED
        - PREPROCESSING_QUEUED
        - PREPROCESSING_RUNNING
        - PREPROCESSING_FAILED
        - READY
        - DEPRECATED
      type: string
      description: |-
        * `UPLOADED` - Uploaded
        * `PREPROCESSING_QUEUED` - Preprocessing Queued
        * `PREPROCESSING_RUNNING` - Preprocessing Running
        * `PREPROCESSING_FAILED` - Preprocessing Failed
        * `READY` - Ready
        * `DEPRECATED` - Deprecated

````